VelocityReport Plugin - Feature #607

Use Last-Modified header for static resources
12/13/2012 01:51 AM - Ryan Parrish

Status: Closed
Priority: Normal
Assignee:

Category: velocity

Target version:

Browser (if web
client):

Start date: 12/12/2012
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

As it is right now, there are no caching related headers sent to the client for static resources that are defined in the config.json. The
effect of this is that browsers must request all the defined static files for a page with each page load, and never caching them locally.
It would be useful if velocity could return a Last-Modified header set to the file's local modified timestamp so browsers could do
conditional gets (If-Modified-Since) to save on file transfer/load times.

History

#1 - 12/13/2012 01:58 AM - Patrick Talbot

That's a very good idea indeed. I'll look into adding that for the next version.

Thanks!

#2 - 12/13/2012 02:16 AM - Patrick Talbot
- % Done changed from 0 to 100

Will be part of the next version

#3 - 12/13/2012 02:16 AM - Patrick Talbot

- Status changed from New to In Progress

#4 - 12/13/2012 06:55 PM - Patrick Talbot

- Status changed from In Progress to Closed
